/*
* ----------------------------------------------------------------------------
* "THE BEER-WARE LICENSE" (Revision 42):
* <timklge@gmail.com> wrote this file. As long as you retain this notice you
* can do whatever you want with this stuff. If we meet some day, and you think
* this stuff is worth it, you can buy me a beer in return - Tim Kluge
* ----------------------------------------------------------------------------
*/

import 'package:unittest/unittest.dart';
import 'package:base58/base58.dart';

void main(){
  final base58 = new Base58Codec();
  
  group('Encoding', (){    
    test('Test 1', () => expect(base58.encode(8716238992), "ehe1bC"));
    test('Test 2', () => expect(base58.encode(19827), "6TR"));
    test('Test 3', () => expect(base58.encode(2), "3"));
  });
  
  group('Decoding', (){
    test('Test 1', () => expect(base58.decode("ehe1bC"), 8716238992));
    test('Test 2', () => expect(base58.decode("6TR"), 19827));
    test('Test 3', () => expect(base58.decode("3"), 2));
  });
}