Base58 library for dart
=======================

This is a tiny dart library that provides functionality to encode and decode 
numbers to their base58 representation. 

Usage
------------

	import 'package:base58/base58.dart';
	
	void main(){
	  final base58 = new Base58Codec();
	  
	  final num = 8716238992;
	  print("Number: ${num}");
	  print("Base58: ${base58.encode(num)}");
	  print("Base58 decoded: ${base58.decode(base58.encode(num))}");
	}